<!--rss-aggregator-->
<!--Copyright (C) 2019  NamingThingsIsHard / firefox-->

<!--This program is free software: you can redistribute it and/or modify-->
<!--it under the terms of the GNU General Public License as published by-->
<!--the Free Software Foundation, either version 3 of the License, or-->
<!--(at your option) any later version.-->

<!--This program is distributed in the hope that it will be useful,-->
<!--but WITHOUT ANY WARRANTY; without even the implied warranty of-->
<!--MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the-->
<!--GNU General Public License for more details.-->

<!--You should have received a copy of the GNU General Public License-->
<!--along with this program.  If not, see <http://www.gnu.org/licenses/>.-->

<div
    class="panel panel-default item-detail"
>
    <div class="panel-icon">
        {{ $ctrl.item.host }}
    </div>

    <div class="panel-body">
        <span
            ng-class="{'badge': !$ctrl.item.read, 'badge read': $ctrl.item.read}"
        >
            <span
                class="glyphicon glyphicon-ok"
                aria-hidden="true"
                ng-click="$ctrl.onToggleRead({item: $ctrl.item})"
            >
            </span>
        </span>
        <span
            ng-class="{'badge': !$ctrl.item.starred, 'badge starred': $ctrl.item.starred}"
        >
            <span
                class="glyphicon glyphicon-star"
                aria-hidden="true"
                ng-click="$ctrl.onToggleStarred({item: $ctrl.item})"
            >
            </span>
        </span>
        <a
            href="#"
            ng-click="$ctrl.onItemClicked({item: $ctrl.item})"
        >
            {{ $ctrl.item.title }}
        </a>
    </div>
    <div class="panel-footer">{{ $ctrl.item.datetime | date : 'medium'}}</div>
</div>
